﻿<UserControl x:Class="ThinkGeo.UI.Wpf.HowDoI.UsingCloudMapsServices.ProjectionCloudServicesSample"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:gif="http://wpfanimatedgif.codeplex.com"            
             xmlns:ThinkGeoUI="clr-namespace:ThinkGeo.UI.Wpf;assembly=ThinkGeo.UI.Wpf"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <ThinkGeoUI:MapView Grid.Column="0" Grid.Row="0" Grid.RowSpan="6" x:Name="mapView" Loaded="MapView_Loaded"></ThinkGeoUI:MapView>
        <Image x:Name="loadingImage"  Height="64" Width="64"  Visibility="Hidden" gif:ImageBehavior.AnimatedSource="..\..\Resources\loading.gif" />
        <Grid Grid.Column="1" Grid.Row="0">
            <Label Grid.Column="1" Grid.Row="0">
                <Label.Content>
                    <AccessText FontSize="16" FontWeight="Bold" TextWrapping="Wrap"   Text="Using Cloud Projection Services"/>
                </Label.Content>
            </Label>
            <Button Grid.Column="1" Grid.Row="1" Click="ReprojectFeature_Click" Height="Auto">Reproject and Display a Feature</Button>
            <TextBox Grid.Column="1" Grid.Row="2" TextWrapping="Wrap" AcceptsReturn="True" x:Name="txtWKT" Text="POINT(-96.834516 33.150083)&#x0a;LINESTRING(-96.83559 33.149,-96.835866046134 33.1508413556856,-96.835793626491 33.1508974965687,-96.8336008970734 33.1511063402186,-96.83356 33.15109,-96.83328 33.14922)&#x0a;POLYGON((-96.83582 33.1508,-96.83578 33.15046,-96.83353 33.15068,-96.83358 33.15102,-96.83582 33.1508))" Height="Auto"/>
            <Button  Grid.Column="1" Grid.Row="3" Click="ReprojectMultipleFeatures_Click" Height="Auto">Reproject and Display Multiple Features</Button>

            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="5" />
                <ColumnDefinition Width="240" />
                <ColumnDefinition Width="*" />
                <ColumnDefinition Width="5" />
            </Grid.ColumnDefinitions>
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
            </Grid.RowDefinitions>
        </Grid>

        <!-- Grid Layout -->
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*" />
            <ColumnDefinition Width="Auto" />
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition Height="*"/>
        </Grid.RowDefinitions>
    </Grid>
    <UserControl.Resources>
        <Style TargetType="Label">
            <Setter Property="Foreground" Value="WhiteSmoke"></Setter>
            <Setter Property="FontSize" Value="14"></Setter>
        </Style>
        <Style TargetType="Grid">
            <Setter Property="Background" Value="DimGray"></Setter>
        </Style>
        <Style TargetType="TextBox">
            <Setter Property="Height" Value="180"></Setter>
            <Setter Property="FontSize" Value="12"></Setter>
            <Setter Property="Margin" Value="0,10,0,0"></Setter>
        </Style>
        <Style TargetType="Button">
            <Setter Property="Height" Value="22"></Setter>
            <Setter Property="Margin" Value="0,10,0,0"></Setter>
        </Style>
        <Style TargetType="ComboBox">
            <Setter Property="Height" Value="20"></Setter>
        </Style>
        <Style TargetType="RadioButton">
            <Setter Property="Foreground" Value="WhiteSmoke"></Setter>
        </Style>
    </UserControl.Resources>
</UserControl>
